<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>


<?php
include('../include/session.php');
?>

<?php
$receive_id=$_GET['receive_id'];

$table_name = $_SESSION['db_prefix']."_receive_store";
$receive_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' ";
$receive_result = mySQL_query($receive_query);
$b0 = mysql_result($receive_result, 0, "receive_date");
$b1 = mysql_result($receive_result, 0, "delivery_note");
$b2 = mysql_result($receive_result, 0, "supplier_id");
$value = mysql_result($receive_result, 0, "value");
$transport = mysql_result($receive_result, 0, "transport");
$b5 = mysql_result($receive_result, 0, "purchase_order");
$company = mysql_result($receive_result, 0, "company");


$table_name = $_SESSION['db_prefix']."_receive_store";
$check_query = "SELECT receive_id FROM $table_name WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
$check_result = mySQL_query($check_query);
$check_num = mysql_num_rows($check_result);
if ($check_num>1) {
	  	$check_message="There are multiple receivals on this delivery note.";
		
		$table_name2 = $_SESSION['db_prefix']."_receive_store";
	  	$entry_query = "SELECT receive_id FROM $table_name2 WHERE  delivery_note = '".$b1."' AND supplier_id = '".$b2."' ";
		$entry_result = mySQL_query($entry_query);
		$entry_num = mysql_num_rows($entry_result);
	  $k=0;
	  $search_text="";
	  while ($k<$entry_num) {
	  $x1 = mysql_result($entry_result, $k, "receive_id");
	  if ($k==$entry_num-1) {
		$search_text = $search_text ."receive_id ='".$x1;
	  }
	  else {
	  $search_text = $search_text ."receive_id ='".$x1."' OR ";
	  }
	  $k++;
	  }
	  
	 $table_name = $_SESSION['db_prefix']."_receive_store_lines";
	 $line_query = "SELECT *  FROM $table_name WHERE  (".$search_text."') AND store_item_id>0";
	 $line_result = mySQL_query($line_query);
	 $line_num = mysql_num_rows($line_result);
	 $line_num0 = mysql_num_rows($line_result);
}
else {
	$check_message="";
	$table_name = $_SESSION['db_prefix']."_receive_store_lines";
	$line_query = "SELECT *  FROM $table_name WHERE  receive_id = '".$receive_id."' AND store_item_id>0";
	$line_result = mySQL_query($line_query);
	$line_num = mysql_num_rows($line_result);
	$line_num0 = mysql_num_rows($line_result);
}


	
$table_name2 = $_SESSION['db_prefix']."_suppliers";
$customer_query = "SELECT * FROM $table_name2 WHERE supplier_id ='".$b2."' ";
$customer_result = mySQL_query($customer_query);
$customer_num = mysql_num_rows($customer_result);	

$a0 = mysql_result($customer_result, 0, "account_name");
$a5 = mysql_result($customer_result, 0, "contact1");
$a6 = mysql_result($customer_result, 0, "credit_cash");
$a7 = mysql_result($customer_result, 0, "post_address");
$a9 = mysql_result($customer_result, 0, "post_place");
$a10 = mysql_result($customer_result, 0, "phys_address");
$a11 = mysql_result($customer_result, 0, "phys_place");
$a12 = mysql_result($customer_result, 0, "web_site");
$a13 = mysql_result($customer_result, 0, "VAT_no");
$a15 = mysql_result($customer_result, 0, "email2");
$a23 = mysql_result($customer_result, 0, "fax");
$a24 = mysql_result($customer_result, 0, "phone");
$a26 = mysql_result($customer_result, 0, "country");
$a29 = mysql_result($customer_result, 0, "email1");
$a30 = mysql_result($customer_result, 0, "cell1");
$a32 = mysql_result($customer_result, 0, "cell2");
$a35 = mysql_result($customer_result, 0, "contact2");
$a36 = mysql_result($customer_result, 0, "notes");

$supplierTT =
		   "<table id=table_tool_tip width=250 ><tr><td  width=75>Name:</td><td width=175>".$a0."</td></tr><tr><td>Address:</td><td>".$a7."</td></tr><tr><td></td><td>".$a9."</td></tr><tr><td>Contact:</td><td>".$a5."</td></tr><tr><td>Phone:</td><td>".$a24."</td></tr><tr><td>Cell:</td><td>".$a30."</td></tr></table><br><b>Click for details</b>";   

?>
<!--style sheets-->
<link rel="stylesheet" type="text/css" href="../css/tooltip.css" />

<!--jscript-->

<script language="JavaScript" src="../jscript/tooltip.js"  type="text/javascript"></script>
<script language="JavaScript" src="../jscript/alert_message.js"  type="text/javascript"></script>
<script language="JavaScript" src="../jscript/cancel_confirmation.js"  type="text/javascript"></script> 

<?php
$page='receive_edit';
include('../include/store_item_select_header.php');
?>

</head>


<?php
include ("../navigation/header.php");
$page_name = "Stores-edit receive";
include ("../navigation/access.php");

if ($permission_num==1) {
	include ("../navigation/store_sidebar.php");
?>
<body onLoad="initCS();" >
<div class="main_frame">
  <div class="page_head_frame">
          <table width="809" border="0" cellspacing="0" cellpadding="0">
            <tr>
              <td><label class="label_page_head">Edit receive note:</label>
                &nbsp;&nbsp;&nbsp;
                <label class="label_page_head_2"> <?php echo $a0 ?></label></td>
            </tr>
          </table>
          </div>
          <div class="page_middle_frame">
        <div class="page_inside_frame">
          <table width="612" id="table_display" >
            <tr>
              <td align="left" valign="top">Receival for:</td>
              <td align="left" valign="top"><?php echo $company?></td>
              <td align="left" valign="top">&nbsp;</td>
              <td align="left" valign="top">&nbsp;</td>
            </tr>
            <tr>
              <td width="114" align="left" valign="top">Received from:</td>
              <td width="155" align="left" valign="top"><a href="displaySupplier.php?supplier_id=<?php echo $b2 ?>" onMouseover="ddrivetip('<?php echo $supplierTT ?>', 200)"; onMouseout="hideddrivetip()"><?php echo $a0?></a></td>
              <td width="146" align="left" valign="top">Date:</td>
              <td width="185" align="left" valign="top"><?php echo date("d-m-Y", strtotime($b0 )) ?></td>
            </tr>
            <tr>
              <td align="left" valign="top">Delivery note:</td>
              <td align="left" valign="top"><?php echo $b1 ?></td>
              <td align="left" valign="top">Purchase order no:</td>
              <td align="left" valign="top"><?php echo $b5 ?></td>
            </tr>
            <tr>
              <td colspan="4" align="left" valign="top"><?php echo $check_message?></td>
            </tr>
          </table>
        </div>
        <form action="edit_receive_note_save.php" method="POST" name="form1" id="form1">
        <div class="page_inside_frame"><br>
          <br>
          
          <?php
		$page='edit_receive';
        include('../include/store_item_select_table.php'); 
		?>
       </div>
       <div class="page_inside_frame">
  <table width="645" border="0">
    <tr>
      <td width="20">&nbsp;</td>
      <td width="615" align="right"><input type="hidden" name="line_num0" id="line_num0" value="<?php echo $line_num0?>">
        <input type="hidden" name="receive_id" id="receive_id" value="<?php echo $receive_id ?>" />
        <input name="button2" type="button" class="imagebutton" id="button2" onClick="cancel_confirmation(3, '../store/store_main.php');" value="Close"/>
        <input name="save_button"  id="save_button" type="submit" class="imagebutton" value="Save" onClick="needToConfirm = false; confirmRefresh();" />
        <input name="save_close_button"  id="save_close_button" type="submit" class="imagebutton" value="Save &amp; Close" onClick="needToConfirm = false; confirmRefresh();" /></td>
    </tr>
  </table>
</div>  
</form> 
</div>       
</div>  
</div>
<?php include ('../navigation/side_bar.php'); ?>

</body>
<?php } else {
$_SESSION['denied_return'] = "store/store_main.php";	
include ("../navigation/store_sidebar.php");?>
<body onload="needToConfirm = false; accessdenied(); return false">
what is this???
<?php include ('../navigation/side_bar.php'); ?>
</body>
<?php }
?>

</html>